#include<bits/stdc++.h>
#define MAXN 100000
using namespace std;
int a[MAXN];

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    ///a[i] - int limit - 1
    int n, k;
    cin >> n >> k;
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    int ans = 0;
    for(int i = 0; i < n; i++){
        int otg = a[i];
        for(int j = i; j < n; j++){
            otg = (otg | a[j]);
            if(otg >= k){
                ans ++;
            }
        }
    }
    cout << ans << "\n";
    return 0;
}
/*
8 1
1 2 3 4 5 6 7 8
*/
